Fetch Transaction by Payment
curl --request GET \
--url https://sandbox.api.paylias.xyz/gateway/api/v1/csp/payments/{payment_id}/transactions \
--header 'X-PAYLIAS-API-KEY: <api-key>' \
--header 'x-org-id: <x-org-id>' \
--header 'x-partner-id: <x-partner-id>'import requests
url = "https://sandbox.api.paylias.xyz/gateway/api/v1/csp/payments/{payment_id}/transactions"
headers = {
"x-org-id": "<x-org-id>",
"x-partner-id": "<x-partner-id>",
"X-PAYLIAS-API-KEY": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-org-id': '<x-org-id>',
'x-partner-id': '<x-partner-id>',
'X-PAYLIAS-API-KEY': '<api-key>'
}
};
fetch('https://sandbox.api.paylias.xyz/gateway/api/v1/csp/payments/{payment_id}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"data": {
"approval_code": "123456",
"created_on": "2023-08-12T08:55:04Z",
"initiated_on": "2023-08-12T08:55:04Z",
"payment_id": "pay_123456789",
"status": 1,
"token": "trans_123456789",
"transaction_id": "transaction_123456789",
"updated_on": "2023-08-12T08:55:04Z",
"transaction_lines": [
{
"amount": {
"currency": "USD",
"total": "10000"
},
"direction": "TD_Credit",
"partner_id": "part_abc123",
"token": "tline_1",
"transaction_id": "transaction_123456789",
"transaction_type": "TT_PAYMENT"
},
{
"amount": {
"currency": "USD",
"total": "10000"
},
"direction": "TD_Debit",
"partner_id": "part_xyz456",
"token": "tline_2",
"transaction_id": "transaction_123456789",
"transaction_type": "TT_PAYMENT"
}
]
}
}{
"code": "error.bad_request",
"message": "Invalid request parameters"
}{
"code": "error.unauthorized",
"message": "Authentication required"
}{
"code": "error.not_found",
"message": "Requested resource not found"
}Transactions
Fetch Transaction by Payment
Fetch Transaction by Payment
GET
/
api
/
v1
/
csp
/
payments
/
{payment_id}
/
transactions
Fetch Transaction by Payment
Authorizations
Headers
The Organization ID header used for authorization
The Partner ID header used for authorization
Path Parameters
The unique identifier for the payment
Example:
"pay_123456789"
Was this page helpful?
⌘I